package com.qiaoba.api.monitor.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qiaoba.common.base.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * 登录日志
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/19 14:31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_login_log")
public class SysLoginLog extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId
    private String loginId;

    @Excel(name = "会话编号", width = 25)
    private String deviceSn;

    @Excel(name = "登录账号", width = 25)
    private String username;

    @Excel(name = "用户名称", width = 25)
    private String nickname;

    @Excel(name = "访问IP", width = 25)
    private String ip;

    @Excel(name = "登录地点", width = 25)
    private String address;

    @Excel(name = "浏览器", width = 30)
    private String browser;

    @Excel(name = "操作系统", width = 20)
    private String os;

    @Excel(name = "登录时间", format = "yyyy-MM-dd HH:mm:ss", width = 30)
    private Date loginTime;
}
