package com.qiaoba.api.system.entity.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * 更改密码
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/10 14:03
 */
@Getter
@Setter
public class ResetPasswordDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
    @NotNull(message = "主键不能为空")
    @Size(max = 20, message = "主键不能超过{max}个字符")
    private String userId;

    /**
     * 新密码
     */
    @NotNull(message = "密码不能为空")
    @Size(min = 5, max = 20, message = "密码{min}-{max}个字符")
    private String password;
}
