package com.qiaoba.api.system.entity.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * 部门查询参数
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-23 15:37:43
 */
@Getter
@Setter
public class SysDeptParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @Schema(description = "部门名称")
    @Size(max = 30, message = "部门名称不能超过{max}个字符")
    private String deptName;
    @Schema(description = "状态(0->禁用,1->正常)")
    @Size(max = 1, message = "状态不能超过{max}个字符")
    private String status;
}
