package com.qiaoba.api.system.entity.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * 菜单查询参数
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/5 11:24
 */
@Getter
@Setter
public class SysMenuParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @Schema(description = "菜单名称")
    @Size(max = 30, message = "菜单名称不能超过{max}个字符")
    private String menuName;

    /**
     * 显示状态（0隐藏 1显示）
     */
    @Size(max = 1, message = "显示状态不能超过{max}个字符")
    private String isVisible;
}
