package com.qiaoba.api.system.entity.param;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
 * 角色查询参数
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-23 15:37:43
 */
@Getter
@Setter
public class SysRoleParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @Schema(description = "角色名称")
    @Size(max = 30, message = "角色名称不能超过{max}个字符")
    private String roleName;

    @Schema(description = "权限字符")
    @Size(max = 30, message = "权限字符不能超过{max}个字符")
    private String roleKey;

    @Schema(description = "状态(0->禁用,1->正常)")
    @Size(max = 1, message = "状态不能超过{max}个字符")
    private String status;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date beginTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
}
