package com.qiaoba.api.tenant.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qiaoba.common.base.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 租户 sys_tenant
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/30 10:20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_tenant")
@NoArgsConstructor
public class SysTenant extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId
    private String tenantId;

    private String companyName;

    private String contactName;

    private String contactPhone;

    private String address;

    private String profile;

    private String licenseNumber;

    private String domain;

    private String remark;

    private Date expireTime;

    private Long accountCount;

    private String status;

    private String mode;

    private String initialized;

    public SysTenant(String tenantId, String status) {
        this.tenantId = tenantId;
        this.status = status;
    }

    public SysTenant(String tenantId) {
        this.tenantId = tenantId;
    }
}
