package com.qiaoba.module.generator.entity.dto;

import com.baomidou.mybatisplus.annotation.TableId;
import com.qiaoba.module.generator.entity.GeneratorTableColumn;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;

/**
 * 表字段信息
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/26 10:12
 */
@Getter
@Setter
public class GeneratorTableDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId
    private String tableId;

    /**
     * 表名称
     */
    private String tableName;

    /**
     * 表描述
     */
    private String tableComment;

    /**
     * 实体类名称(首字母大写)
     */
    private String className;

    /**
     * 生成包路径
     */
    private String packageName;

    /**
     * 生成模块名
     */
    private String moduleName;

    /**
     * 生成业务名
     */
    private String businessName;

    /**
     * 生成功能名
     */
    private String functionName;

    /**
     * 生成作者
     */
    private String author;

    /**
     * 生成路径（不填默认项目路径）
     */
    private String genPath;

    /**
     * 父级菜单ID
     */
    private String parentMenuId;

    /**
     * 字段信息
     */
    private List<GeneratorTableColumn> columns;
}
