package com.qiaoba.module.generator.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qiaoba.module.generator.entity.GeneratorTableColumn;
import com.qiaoba.module.generator.entity.vo.TableColumnVo;

import java.util.List;

/**
 * 表字段 数据层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/26 10:12
 */
@InterceptorIgnore(tenantLine = "true")
public interface GeneratorTableColumnMapper extends BaseMapper<GeneratorTableColumn> {

    /**
     * 查询表的字段信息
     *
     * @param tableName 表名
     * @return list
     */
    List<TableColumnVo> selectDbColumnList(String tableName);

    /**
     * 通过 tableIds 批量删除
     *
     * @param tableIds tableIds
     */
    void deleteByTableIds(List<String> tableIds);
}
