package com.qiaoba.module.generator.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qiaoba.module.generator.entity.GeneratorTable;
import com.qiaoba.module.generator.entity.dto.TableDto;
import com.qiaoba.module.generator.entity.vo.DbTableVo;
import org.apache.ibatis.annotations.Param;

/**
 * 数据库表 数据层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/26 9:24
 */
@InterceptorIgnore(tenantLine = "true")
public interface GeneratorTableMapper extends BaseMapper<GeneratorTable> {

    /**
     * 查询数据库表
     *
     * @param page 分页
     * @param dto  查询参数
     * @return list
     */
    Page<DbTableVo> selectPageDbTableList(Page page, @Param("dto") TableDto dto);

}
