package com.qiaoba.module.generator.service;

import com.qiaoba.module.generator.entity.GeneratorTableColumn;
import com.qiaoba.module.generator.entity.vo.TableColumnVo;

import java.util.List;

/**
 * 表字段 服务层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/26 10:12
 */
public interface GeneratorTableColumnService {

    /**
     * 查询表的字段信息
     *
     * @param tableName 表名
     * @param allowNull 允许空
     * @return list
     */
    List<TableColumnVo> selectDbColumnList(String tableName, boolean allowNull);

    /**
     * 查询表的字段信息
     *
     * @param tableId   表ID
     * @param allowNull 允许空
     * @return list
     */
    List<GeneratorTableColumn> selectListByTableId(String tableId, boolean allowNull);

    /**
     * 新增
     *
     * @param generatorTableColumn column
     * @return 结果
     */
    Integer insert(GeneratorTableColumn generatorTableColumn);

    /**
     * 根据ID更新
     *
     * @param generatorTableColumn generatorTableColumn
     */
    void updateById(GeneratorTableColumn generatorTableColumn);

    /**
     * 批量根据ID更新
     *
     * @param columns columns
     */
    void updateBatchById(List<GeneratorTableColumn> columns);

    /**
     * 通过 tableIds 批量删除
     *
     * @param tableIds tableIds
     */
    void deleteByTableIds(List<String> tableIds);

    /**
     * 通过主键批量删除
     *
     * @param ids 主键Ids
     */
    void deleteByIds(List<String> ids);
}
