package com.qiaoba.module.log.service;

import com.qiaoba.common.database.entity.PageQuery;
import com.qiaoba.common.database.entity.TableDataInfo;
import com.qiaoba.module.log.entity.SysUseLog;
import com.qiaoba.module.log.entity.param.SysUseLogParam;

import java.util.List;

/**
 * 使用日志 服务层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/7/5 13:51
 */
public interface SysUserLogService {

    /**
     * 新增
     *
     * @param sysUseLog sysUseLog
     */
    void insert(SysUseLog sysUseLog);

    /**
     * 分页查询
     *
     * @param param     查询参数
     * @param pageQuery 分页信息
     * @return list
     */
    TableDataInfo selectPageList(SysUseLogParam param, PageQuery pageQuery);

    /**
     * 查询列表
     *
     * @param param 查询参数
     * @return list
     */
    List<SysUseLog> selectList(SysUseLogParam param);

    /**
     * 清空日志
     */
    void cleanUseLog();

}
