package com.qiaoba.module.monitor.service;

import com.qiaoba.api.monitor.entity.SysLoginLog;
import com.qiaoba.api.monitor.entity.param.LoginLogParam;
import com.qiaoba.api.monitor.service.SysLoginLogApiService;
import com.qiaoba.common.database.entity.PageQuery;
import com.qiaoba.common.database.entity.TableDataInfo;

import java.util.List;

/**
 * 登录日志 服务层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/19 15:52
 */
public interface SysLoginLogService extends SysLoginLogApiService {

    /**
     * 分页查询
     *
     * @param param     查询参数
     * @param pageQuery 分页参数
     * @return page
     */
    TableDataInfo<SysLoginLog> selectPageList(LoginLogParam param, PageQuery pageQuery);

    /**
     * 清空日志
     */
    void cleanLoginLog();

    /**
     * 条件查询
     *
     * @param param param
     * @return list
     */
    List<SysLoginLog> selectList(LoginLogParam param);

}
