package com.qiaoba.module.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qiaoba.api.system.entity.SysPost;
import com.qiaoba.common.database.annotation.SelectOneRow;

/**
 * 岗位管理 数据层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/6 15:03
 */
public interface SysPostMapper extends BaseMapper<SysPost> {

    /**
     * 校验岗位名称
     *
     * @param sysPost 岗位名称
     * @return 结果
     */
    @SelectOneRow
    String checkPostNameUnique(SysPost sysPost);

    /**
     * 校验岗位编码
     *
     * @param sysPost 岗位编码
     * @return 结果
     */
    @SelectOneRow
    String checkPostCodeUnique(SysPost sysPost);

}
