package com.qiaoba.module.tenant.entity.vo;

import com.qiaoba.api.tenant.entity.SysTenantDatasource;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 租户初始化之前的检查
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/27 9:09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@NoArgsConstructor
public class TenantInitCheckVo extends TenantInitVo {


    @Schema(description = "租户名称")
    private String tenantName;

    @Schema(description = "1-字段,2-SCHEMA,3数据源")
    private String mode;

    private SysTenantDatasource datasource;

    public TenantInitCheckVo(String tenantName, String mode, Integer result, String msg) {
        this.tenantName = tenantName;
        this.mode = mode;
        this.result = result;
        this.msg = msg;
    }


    public TenantInitCheckVo(String tenantName, String mode, SysTenantDatasource datasource, Integer result, String msg) {
        this.tenantName = tenantName;
        this.mode = mode;
        this.datasource = datasource;
        this.result = result;
        this.msg = msg;
    }
}
