package com.qiaoba.module.tenant.init;

import com.qiaoba.module.tenant.entity.vo.TenantInitVo;

import java.sql.Connection;

/**
 * 初始化表策略
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/27 13:05
 */
public interface InitTablesStrategy {

    /**
     * 创建表
     *
     * @param conn   连接对象
     * @param schema 模式
     * @return 结果
     */
    TenantInitVo create(Connection conn, String schema);

    /**
     * 创建表
     *
     * @param conn 连接对象
     * @return 结果
     */
    TenantInitVo create(Connection conn);
}
